Editar / reprogramar turno
curl --request PUT \
--url https://{tenant}.oclucrm.com/api/v1/appointments/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Current-Org-Id: <current-org-id>' \
--data '
{
"doctor_id": 123,
"patient_id": 123,
"date": "<string>",
"start": "<string>",
"end": "<string>",
"box_id": 123,
"appointment_status_id": 123,
"description": "<string>"
}
'import requests
url = "https://{tenant}.oclucrm.com/api/v1/appointments/{id}"
payload = {
"doctor_id": 123,
"patient_id": 123,
"date": "<string>",
"start": "<string>",
"end": "<string>",
"box_id": 123,
"appointment_status_id": 123,
"description": "<string>"
}
headers = {
"Current-Org-Id": "<current-org-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'Current-Org-Id': '<current-org-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
doctor_id: 123,
patient_id: 123,
date: '<string>',
start: '<string>',
end: '<string>',
box_id: 123,
appointment_status_id: 123,
description: '<string>'
})
};
fetch('https://{tenant}.oclucrm.com/api/v1/appointments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 123,
"start": "2026-06-23 09:00:00",
"end": "<string>",
"duration_minutes": 123,
"description": "<string>",
"status": {
"id": 123,
"name": "<string>"
},
"patient": {
"id": 123,
"name": "<string>"
},
"doctor": {
"id": 123,
"name": "<string>"
},
"box_id": 123,
"google_meet_link": "<string>"
}
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Turnos
Editar / reprogramar turno
Requiere permiso write. Todos los campos son opcionales; cambiar fecha/hora reprograma.
PUT
/
appointments
/
{id}
Editar / reprogramar turno
Authorizations
API key de la clínica. Header: Authorization: Bearer oclu_live_...
Headers
ID de la sede (ver GET /me)
Example:
1
Path Parameters
Body
application/json
Response
OK
Show child attributes
Show child attributes
⌘I